com.fasterxml.jackson.databind.deser.std

## Class DateDeserializers

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.std.DateDeserializers

-     public class DateDeserializers
      extends java.lang.Object

  Container class for core JDK date/time type deserializers.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DateDeserializers.CalendarDeserializer`
    `protected static class` | `DateDeserializers.DateBasedDeserializer<T>`
    `static class` | `DateDeserializers.DateDeserializer` Simple deserializer for handling `Date` values.
    `static class` | `DateDeserializers.SqlDateDeserializer` Compared to plain old `Date`, SQL version is easier to deal with: mostly because it is more limited.
    `static class` | `DateDeserializers.TimestampDeserializer` Simple deserializer for handling `Timestamp` values.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DateDeserializers()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JsonDeserializer<?>` | `find(java.lang.Class<?> rawType, java.lang.String clsName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DateDeserializers

          public DateDeserializers()

  - ### Method Detail

    - #### find

          public static JsonDeserializer<?> find(java.lang.Class<?> rawType,
                                 java.lang.String clsName)